---
title: CSS Display
slug: Web/CSS/CSS_Display
tags:
  - CSS
  - CSS Display
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Display</strong> is a module of CSS that defines how the CSS formatting box tree is generated from the document element tree and defines properties controlling it.</p>

<h2 id="Reference">Reference</h2>

<h3 id="CSS_properties">CSS properties</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("display")}}</li>
</ul>
</div>

<h3 id="CSS_data_types">CSS data types</h3>

<div class="index">
<ul>
 <li>{{CSSxRef("&lt;display-outside&gt;")}}</li>
 <li>{{CSSxRef("&lt;display-inside&gt;")}}</li>
 <li>{{CSSxRef("&lt;display-listitem&gt;")}}</li>
 <li>{{CSSxRef("&lt;display-box&gt;")}}</li>
 <li>{{CSSxRef("&lt;display-internal&gt;")}}</li>
 <li>{{CSSxRef("&lt;display-legacy&gt;")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<h3 id="CSS_Flow_Layout_display_block_display_inline">CSS Flow Layout (<code style="white-space: nowrap;">display: block</code>, <code style="white-space: nowrap;">display: inline</code>)</h3>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Block_and_Inline_Layout_in_Normal_Flow">Block and Inline Layout in Normal Flow</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Flow_Layout_and_Overflow">Flow Layout and Overflow</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Flow_Layout_and_Writing_Modes">Flow Layout and Writing Modes</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/Formatting_Contexts_Explained">Formatting Contexts Explained</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flow_Layout/In_Flow_and_Out_of_Flow">In Flow and Out of Flow</a></li>
</ul>

<h3 id="display_flex"><code style="white-space: nowrap;">display: flex</code></h3>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Basic_Concepts_of_Flexbox">Basic concepts of flexbox</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Aligning_Items_in_a_Flex_Container">Aligning Items in a Flex Container</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Controlling_Ratios_of_Flex_Items_Along_the_Main_Ax">Controlling Ratios of Flex Items Along the Main Axis</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Mixins">Cross-browser Flexbox mixins</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Mastering_Wrapping_of_Flex_Items">Mastering Wrapping of Flex Items</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Ordering_Flex_Items">Ordering Flex Items</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Relationship_of_Flexbox_to_Other_Layout_Methods">Relationship of flexbox to other layout methods</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Backwards_Compatibility_of_Flexbox">Backwards Compatibility of Flexbox</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Typical_Use_Cases_of_Flexbox">Typical use cases of Flexbox</a></li>
</ul>

<h3 id="display_grid"><code style="white-space: nowrap;">display: grid</code></h3>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Basic_Concepts_of_Grid_Layout">Basic Concepts of Grid Layout</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Relationship_of_Grid_Layout">Relationship to other layout methods</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Line-based_Placement_with_CSS_Grid">Line-based placement</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Grid_Template_Areas">Grid template areas</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Layout_using_Named_Grid_Lines">Layout using named grid lines</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Auto-placement_in_CSS_Grid_Layout">Auto-placement in grid layout</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Box_Alignment_in_CSS_Grid_Layout">Box alignment in grid layout</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/CSS_Grid,_Logical_Values_and_Writing_Modes">Grids, logical values and writing modes</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/CSS_Grid_Layout_and_Accessibility">CSS Grid Layout and Accessibility</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/CSS_Grid_and_Progressive_Enhancement">CSS Grid Layout and Progressive Enhancement</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/Realizing_common_layouts_using_CSS_Grid_Layout">Realizing common layouts using grids</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Display", "#the-display-properties", "display")}}</td>
   <td>{{Spec2("CSS3 Display")}}</td>
   <td>Added <code style="white-space: nowrap;">run-in</code>, <code>flow</code>, <code style="white-space: nowrap;">flow-root</code>, <code>contents</code> and multi-keyword values.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "visuren.html#display-prop", "display")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Added the table model values and <code style="white-space: nowrap;">inline-block</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "#display", "display")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Initial definition. Basic values: <code>none</code>, <code>block</code>, <code>inline</code> and <code style="white-space: nowrap;">list-item</code>.</td>
  </tr>
 </tbody>
</table>

<p>In addition to the CSS Display Specification Level 3, further specifications define the behavior of various values of display.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.display", 10)}}</p>
